Get Exchange Rates
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/rates \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '""'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/rates"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": 1441.01,
"message": "Exchange rates fetched successfully",
"status": true
}{
"message": "Asset not found",
"statusCode": 404
}Get Exchange Rates
Get Exchange Rates
GET
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
rates
Get Exchange Rates
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Query Parameters
destination fiat currency code
Example:
"NGN"
asset ID of the stablecoin to withdraw
Example:
"f8112728-36a1-46f4-b7f5-5de836ecfaa1"
amount to withdraw in asset units
Example:
"1000"
Body
application/json
Show child attributes
Show child attributes
Example:
[
{
"address": "0x8636d866C022abA90AAE13c8fE1De95dFc8Cb701",
"amount": "0.1",
"id": "ae455f23-3824-4125-baab-d158315cbcbd",
"reference": "62343-USDT"
},
{
"address": "0x8636d866C022abA90AAE13c8fE1De95dFc8Cb701",
"amount": "0.00002",
"id": "98582300-2f1d-4ef4-99f2-4361319fc776",
"reference": "23432432-BNB"
}
]
Example:
"339362"

